チケット詳細を取得

チケットIDを使用して、チケットの詳細を取得します。

リクエストメソッド

GET

リクエストURL

https://livedesk-api.engagelab.com/api/v2/accounts/tickets/:ticket_id

認証

詳細については、API Overview の認証手順を参照してください。

リクエスト

リクエスト例

curl -X GET 'https://livedesk-api.engagelab.com/api/v2/accounts/tickets/:ticket_id' \ -H 'Content-Type: application/json' \ -H 'Authorization: Basic base64(api_key:api_secret)' \
              
              curl -X GET 'https://livedesk-api.engagelab.com/api/v2/accounts/tickets/:ticket_id' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \

            
このコードブロックはフローティングウィンドウ内に表示されます

パスパラメータ

Field Type Required Description
ticket_id String Yes チケットID。

レスポンス

レスポンス例

{ "code": 0, "message": "Success", "data": { "ticket_id": "tk_20251104_789abc", "title": "Printer jammed and unable to print", "description": "The customer reported that A4 paper is stuck at the paper output tray and requires urgent attention.", "attachments": [ { "file_url": "https://example.com/files/error.jpg" } ], "status": "open", "priority": "high", "ticket_type": "incident", "requester": { "euid": "contact_12345", "name": "Zhang San", "email": "zhangsan@example.com", "phone": "+8613900000000", "channel_contacts": { "channel_id": "inbox_100", "contact_id": "-1001234567890", "sub_contact_id": "23232323", "followers": ["u_12345", "u_67890"] } }, "submitter": { "id": "u_99999" }, "assignment_team": { "id": 5, "name": "IT Support" }, "custom_fields": { "device_sn": "PRN-2024-001" }, "conversation_list": [ { "message_id": "msg_20251104_001", "sender": { "id": "u_12345", "type": "internal_member", "name": "Support Agent Li" }, "content": "We have received your feedback and are processing it.", "content_type": "text", "attachments": [ { "file_type": "image/jpeg", "file_url": "https://example.com/files/progress.jpg" }, { "file_type": "application/pdf", "file_url": "https://example.com/files/report.pdf" } ], "sent_at": "2025-11-19T05:55:25Z", "is_internal": false } ], "status_changes": [ { "to_status": "in_progress", "changed_at": "2025-11-04T09:25:00+08:00", "changed_by_type": "user", "changed_by_id": "u_12345" }, { "to_status": "resolved", "changed_at": "2025-11-04T10:30:00+08:00", "changed_by_type": "system" } ], "tags": ["printer", "hardware"], "sla": { "first_response_due": "2025-11-04T10:00:00+08:00", "resolution_due": "2025-11-05T18:00:00+08:00", "first_response_at": "2025-11-04T09:20:00+08:00", "breached": false }, "followers": [ { "id": "u_12345" }, { "id": "u_67890" } ], "satisfactions": { "rating": 5, "feedback": "Very fast handling", "submitted_at": "2025-11-05T09:20:00+08:00" }, "created_at": "2025-11-04T09:15:22+08:00", "updated_at": "2025-11-04T09:18:45+08:00", "resolved_at": null, "closed_at": null } }
              
              {
  "code": 0,
  "message": "Success",
  "data": {
    "ticket_id": "tk_20251104_789abc",
    "title": "Printer jammed and unable to print",
    "description": "The customer reported that A4 paper is stuck at the paper output tray and requires urgent attention.",
    "attachments": [
      {
        "file_url": "https://example.com/files/error.jpg"
      }
    ],
    "status": "open",
    "priority": "high",
    "ticket_type": "incident",
    "requester": {
      "euid": "contact_12345",
      "name": "Zhang San",
      "email": "zhangsan@example.com",
      "phone": "+8613900000000",
      "channel_contacts": {
        "channel_id": "inbox_100",
        "contact_id": "-1001234567890",
        "sub_contact_id": "23232323",
        "followers": ["u_12345", "u_67890"]
      }
    },
    "submitter": {
      "id": "u_99999"
    },
    "assignment_team": {
      "id": 5,
      "name": "IT Support"
    },
    "custom_fields": {
      "device_sn": "PRN-2024-001"
    },
    "conversation_list": [
      {
        "message_id": "msg_20251104_001",
        "sender": {
          "id": "u_12345",
          "type": "internal_member",
          "name": "Support Agent Li"
        },
        "content": "We have received your feedback and are processing it.",
        "content_type": "text",
        "attachments": [
          {
            "file_type": "image/jpeg",
            "file_url": "https://example.com/files/progress.jpg"
          },
          {
            "file_type": "application/pdf",
            "file_url": "https://example.com/files/report.pdf"
          }
        ],
        "sent_at": "2025-11-19T05:55:25Z",
        "is_internal": false
      }
    ],
    "status_changes": [
      {
        "to_status": "in_progress",
        "changed_at": "2025-11-04T09:25:00+08:00",
        "changed_by_type": "user",
        "changed_by_id": "u_12345"
      },
      {
        "to_status": "resolved",
        "changed_at": "2025-11-04T10:30:00+08:00",
        "changed_by_type": "system"
      }
    ],
    "tags": ["printer", "hardware"],
    "sla": {
      "first_response_due": "2025-11-04T10:00:00+08:00",
      "resolution_due": "2025-11-05T18:00:00+08:00",
      "first_response_at": "2025-11-04T09:20:00+08:00",
      "breached": false
    },
    "followers": [
      { "id": "u_12345" },
      { "id": "u_67890" }
    ],
    "satisfactions": {
      "rating": 5,
      "feedback": "Very fast handling",
      "submitted_at": "2025-11-05T09:20:00+08:00"
    },
    "created_at": "2025-11-04T09:15:22+08:00",
    "updated_at": "2025-11-04T09:18:45+08:00",
    "resolved_at": null,
    "closed_at": null
  }
}

            
このコードブロックはフローティングウィンドウ内に表示されます

レスポンスパラメータ

Field Type Required Description
ticket_id String Yes 一意のチケットID。
title String Yes チケットのタイトル。
description String Yes チケットの詳細説明(Markdown対応)。
attachments Array No チケットレベルの添付ファイル一覧。
attachments.file_name String Yes ファイル名。
attachments.file_type String Yes MIMEタイプ。
attachments.file_url String Yes ファイルURL。
attachments.file_size String Yes ファイルサイズ。
status String Yes チケットのステータス。open、in_progress、resolved、closed など。
priority String No 優先度。low、medium、high、urgent。
ticket_type String No チケット種別。incident、question、problem、task。
requester Object Yes 依頼者情報。
requester.euid String No 一意の連絡先ID。
requester.name String No 連絡先名。
requester.email String No 連絡先のメールアドレス。
requester.phone String No 連絡先の電話番号。
requester.channel_contacts Object No チャネル連絡先のマッピング情報(少なくとも1つの euid が存在する必要があります)。
requester.channel_contacts.channel_id String Yes チャネルID。
requester.channel_contacts.contact_id String Yes チャネル連絡先ID。Telegram の chat_id など。
requester.channel_contacts.sub_contact_id String No チャネルのサブ連絡先ID。Telegram の topic_id やメールの thread_id など。
requester.channel_contacts.followers Array No チャネル内のプッシュ通知または通知に使用されるフォロワーID情報。id および name フィールドを含みます。
submitter Object No チケットを送信した内部メンバー。
submitter.id String Yes 送信者のユーザーID。
assignment_team Object No 割り当てチーム情報。
assignment_team.id Integer Yes チームID。
assignment_team.name String Yes チーム名。
custom_fields Object No デバイスのシリアル番号や注文番号などのカスタムフィールド。
custom_fields.device_sn String Yes デバイスのシリアル番号。
conversation_list Array Yes チケットの完全なメッセージ履歴。
conversation_list.message_id String Yes 一意のメッセージID。
conversation_list.sender Object Yes 送信者情報。
conversation_list.sender.id String Yes 送信者ID。
conversation_list.sender.type String Yes 送信者タイプ。internal_member、system、bot。
conversation_list.sender.name String No 送信者名。
conversation_list.content String No メッセージのテキスト内容。
conversation_list.content_type String Yes コンテンツタイプ。text、image、file、audio、video。
conversation_list.attachments Array No メッセージ添付ファイル一覧。
conversation_list.attachments.file_type String Yes MIMEタイプ。
conversation_list.attachments.file_url String Yes ファイルURL。
conversation_list.sent_at String Yes 送信時刻(ISO 8601)。
conversation_list.is_internal Boolean Yes 顧客には表示されない内部メッセージかどうか。
status_changes Array No チケットのステータス変更履歴。
status_changes.to_status String No 変更後のステータス。open、resolved、またはカスタムコードなど。
status_changes.changed_at String No 変更時刻(ISO 8601)。
status_changes.changed_by_type String No 変更元。user、system、bot。
status_changes.changed_by_id String No changed_by_type が user の場合に返されます。
tags Array No チケットタグ。
sla Object No SLA情報。
sla.first_response_due String No 初回応答の期限。
sla.resolution_due String No 解決期限。
sla.first_response_at String No 実際の初回応答時刻。
sla.breached Boolean No SLAに違反したかどうか。
followers Array No フォロワー一覧。
satisfactions Object No 顧客満足度アンケートの結果。
satisfactions.rating Integer No 1~5の評価。
satisfactions.feedback String No 記述式フィードバック。
satisfactions.submitted_at String No 送信時刻。
created_at String Yes チケット作成時刻(ISO 8601)。
updated_at String Yes チケットの最終更新時刻。
resolved_at String No 解決時刻(未解決の場合は null)。
closed_at String No クローズ時刻(未クローズの場合は null)。
Icon Solid Transparent White Qiyu
お問い合わせ